<?php
if (! defined('ZENNO_ABSTRACT')) {
    throw new Exception('Connection error in ' . __FILE__);
}

class ZPConst extends ZENNO_ABSTRACT
{
    const searchKind_Text       = 'text';
    const searchKind_NoText     = 'notext';
    const searchKind_RegExp     = 'regexp';

    const tag_Input_Radio       = 'input:radio';
    const tag_Input_CheckBox    = 'input:checkbox';
    const tag_Input_Password    = 'input:password';
    const tag_Input_Reset       = 'input:reset';
    const tag_Input_Submit      = 'input:submit';
    const tag_Input_Hidden      = 'input:hidden';
    const tag_Input_Image       = 'input:image';
    const tag_Input_File        = 'input:file';
    const tag_Input_Button      = 'input:button';
    const tag_Input_Text        = 'input:text';
    const tag_Select            = 'select';
	const tag_MultiSelect       = 'multiselect';
    const tag_TextArea          = 'textarea';
    const tag_Body              = 'body';
    const tag_Form              = 'form';
    const tag_Anchor            = 'a';
    const tag_Frame             = 'frame;iframe';
    const tag_Image             = 'img';
    const tag_Button            = 'button';
    const tag_Div               = 'div';
    const tag_Label             = 'label';
	const tag_WYSIWYG_Body      = 'wysiwyg:body';
    const tag_WYSIWYG_Div       = 'wysiwyg:div';
	
	const attr_Value            = 'value';
    const attr_Name             = 'name';
    const attr_Id               = 'id';
    const attr_InnerText        = 'innertext';
    const attr_InnerHtml        = 'innerhtml';
    const attr_OuterText        = 'outertext';
    const attr_OuterHtml        = 'outerhtml';
    const attr_SelectedItems    = 'selecteditems';
    const attr_Width            = 'width';
    const attr_Height           = 'height';
    const attr_Top              = 'top';
    const attr_Left             = 'left';
    const attr_TagName          = 'tagname';
    const attr_Href             = 'href';
    const attr_Type             = 'type';
    const attr_Src              = 'src';

    const event_OnBlur          = 'onblur';
    const event_OnChange        = 'onchange';
    const event_OnClick         = 'onclick';
    const event_OnContextmenu   = 'oncontextmenu';
    const event_OnDblclick      = 'ondblclick';
    const event_OnFocus         = 'onfocus';
    const event_OnKeydown       = 'onkeydown';
    const event_OnKeypress      = 'onkeypress';
    const event_OnKeyup         = 'onkeyup';
    const event_OnMousedown     = 'onmousedown';
    const event_OnMousemove     = 'onmousemove';
    const event_OnMouseout      = 'onmouseout';
    const event_OnMouseover     = 'onmouseover';
    const event_OnMouseup       = 'onmouseup';
    const event_OnSelect        = 'onselect';
    const event_OnSubmit        = 'onsubmit';

    const button_Ok             = 'ok';
    const button_Cancel         = 'cancel';
    const button_None           = 'ignore';
}
